import 'package:tm_app/core/utils/result.dart';
import 'package:tm_app/data/services/tender_detail_service.dart';

import '../services/model/tender_detail_response/tender_detail_response_model.dart';

class TenderDetailRepository {
  TenderDetailRepository({required TenderDetailService tenderDetailService})
    : _tenderDetailService = tenderDetailService;

  final TenderDetailService _tenderDetailService;

  Future<Result<TenderDetailResponseModel>> getTenderDetail({
    required String tenderId,
  }) async {
    return _tenderDetailService.getTenderDetails(tenderId: tenderId);
  }
}
